Skip to main content
`Ctrl`+`K`

# DMSwarmVectorGetField

Gets the fields from which to define a `Vec` object when `DMCreateLocalVector()`, or `DMCreateGlobalVector()` is called

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmVectorGetField(DM sw, PetscInt *Nf, const char **fieldnames[])

Not collective

## Input Parameter

- sw - a `DMSWARM`

## Output Parameters

- Nf - the number of fields

- fieldnames - the textual name given to each registered field, or NULL if it has not been set

## See Also

`DM`, `DMSWARM`, `DMSwarmVectorDefineField()`, `DMSwarmRegisterPetscDatatypeField()`, `DMCreateGlobalVector()`, `DMCreateLocalVector()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages